> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HappyHorse 1.0 Video Edit

> Submit a video editing task (video + reference image). You **must** use the native format (`input.media[]` array). Top-level shorthand is not supported. Returns a `task_id` immediately.



## OpenAPI

````yaml en/api-reference/model-api/alibaba/openapi/happyhorse-1.0-video-edit/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.0 Video Edit
  description: Use the Alibaba DashScope HappyHorse 1.0 video-editing model
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: Create a video editing task
      description: >
        Submit a video editing task (video + reference image). You **must** use
        the native format (`input.media[]` array). Top-level shorthand is not
        supported. Returns a `task_id` immediately.
      operationId: createHappyhorse10VideoEdit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.0-video-edit
                  description: model ID。
                  example: happyhorse-1.0-video-edit
                input:
                  type: object
                  required:
                    - prompt
                    - media
                  properties:
                    prompt:
                      type: string
                      description: Edit description text.
                      example: >-
                        Make the character in the video wear the striped sweater
                        from the image
                    media:
                      type: array
                      minItems: 2
                      maxItems: 2
                      description: 'Exactly 2 items: 1 video + 1 reference image.'
                      items:
                        type: object
                        required:
                          - type
                          - url
                        properties:
                          type:
                            type: string
                            enum:
                              - video
                              - reference_image
                            description: Media type.
                          url:
                            type: string
                            description: Public URL of the video or reference image.
                      example:
                        - type: video
                          url: https://example.com/source.mp4
                        - type: reference_image
                          url: https://example.com/cloth.webp
                parameters:
                  type: object
                  description: Generation parameters (native DashScope style).
                  properties:
                    resolution:
                      type: string
                      enum:
                        - 720P
                        - 1080P
                      default: 1080P
                      example: 720P
                    watermark:
                      type: boolean
                      default: true
                      example: false
                    seed:
                      type: integer
                      minimum: 0
                      maximum: 2147483647
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  task_id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: happyhorse-1.0-video-edit
                  status:
                    type: string
                    example: queued
                  progress:
                    type: integer
                    example: 0
                  created_at:
                    type: integer
                    example: 1777343862
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized
        '429':
          description: Rate limited
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````